# aws_sgw_info – Fetch AWS Storage Gateway information

New in version 2.6.

- Synopsis
- Requirements
- Parameters
- Notes
- Examples
- Return Values
- Status

## Synopsis

- Fetch AWS Storage Gateway information
- This module was called `aws_sgw_facts` before Ansible 2.9. The usage did not change.

Aliases: aws_sgw_facts

## Requirements

The below requirements are needed on the host that executes this module.

- boto
- boto3
- python >= 2.6

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
aws_access_key string |  | AWS access key. If not set then the value of the AWS_ACCESS_KEY_ID, AWS_ACCESS_KEY or EC2_ACCESS_KEY environment variable is used. aliases: ec2_access_key, access_key
aws_secret_key string |  | AWS secret key. If not set then the value of the AWS_SECRET_ACCESS_KEY, AWS_SECRET_KEY, or EC2_SECRET_KEY environment variable is used. aliases: ec2_secret_key, secret_key

debug_botocore_endpoint_logs
boolean
added in 2.8

Choices:
- no ←
- yes

Use a botocore.endpoint logger to parse the unique (rather than total) "resource:action" API calls made during a task, outputing the set to the resource_actions key in the task results. Use the aws_resource_action callback to output to total list made during a playbook. The ANSIBLE_DEBUG_BOTOCORE_LOGS environment variable may also be used.

ec2_url string |  | Url to use to connect to EC2 or your Eucalyptus cloud (by default the module will use EC2 endpoints). Ignored for modules where region is required. Must be specified for all other modules if region is not used. If not set then the value of the EC2_URL environment variable, if any, is used.

gather_file_shares
boolean

Choices:
- no
- yes ←

Gather file share information for storage gateways in s3 mode.

gather_local_disks
boolean

Choices:
- no
- yes ←

Gather local disks attached to the storage gateway.

gather_tapes
boolean

Choices:
- no
- yes ←

Gather tape information for storage gateways in tape mode.

gather_volumes
boolean

Choices:
- no
- yes ←

Gather volume information for storage gateways in iSCSI (cached & stored) modes.

profile string |  | Uses a boto profile. Only works with boto >= 2.24.0.
region string |  | The AWS region to use. If not specified then the value of the AWS_REGION or EC2_REGION environment variable, if any, is used. See http://docs.aws.amazon.com/general/latest/gr/rande.html#ec2_region aliases: aws_region, ec2_region
security_token string |  | AWS STS security token. If not set then the value of the AWS_SECURITY_TOKEN or EC2_SECURITY_TOKEN environment variable is used. aliases: access_token

validate_certs
boolean

Choices:
- no
- yes ←

When set to "no", SSL certificates will not be validated for boto versions >= 2.6.0.

## Notes

Note

- If parameters are not set within the module, the following environment variables can be used in decreasing order of precedence `AWS_URL` or `EC2_URL`, `AWS_ACCESS_KEY_ID` or `AWS_ACCESS_KEY` or `EC2_ACCESS_KEY`, `AWS_SECRET_ACCESS_KEY` or `AWS_SECRET_KEY` or `EC2_SECRET_KEY`, `AWS_SECURITY_TOKEN` or `EC2_SECURITY_TOKEN`, `AWS_REGION` or `EC2_REGION`
- Ansible uses the boto configuration file (typically ~/.boto) if no credentials are provided. See https://boto.readthedocs.io/en/latest/boto_config_tut.html
- `AWS_REGION` or `EC2_REGION` can be typically be used to specify the AWS region, when required, but this can also be configured in the boto config file

## Examples

    # Note: These examples do not set authentication details, see the AWS Guide for details.

    - name: "Get AWS storage gateway information"
      aws_sgw_info:

    - name: "Get AWS storage gateway information for region eu-west-3"
      aws_sgw_info:
        region: eu-west-3

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
gateways complex | always | list of gateway objects
| file_shares complex | when gateway_type == "FILE_S3" | Storage gateway file shares
|  | file_share_arn string | always | File share ARN Sample: arn:aws:storagegateway:eu-west-1:399805793479:share/share-AF999C88
|  | file_share_id string | always | File share ID Sample: share-AF999C88
|  | file_share_status string | always | File share status Sample: AVAILABLE
| gateway_arn string | always | Storage Gateway ARN Sample: arn:aws:storagegateway:eu-west-1:367709993819:gateway/sgw-9999F888
| gateway_id string | always | Storage Gateway ID Sample: sgw-9999F888
| gateway_name string | always | Storage Gateway friendly name Sample: my-sgw-01
| gateway_operational_state string | always | Storage Gateway operational state Sample: ACTIVE
| gateway_type string | always | Storage Gateway type Sample: FILE_S3
| local_disks complex | always | Storage gateway local disks
|  | disk_allocation_type string | always | Disk allocation type Sample: CACHE STORAGE
|  | disk_id string | always | Disk ID on the system Sample: pci-0000:00:1f.0
|  | disk_node string | always | Disk parent block device Sample: /dev/sdb
|  | disk_path string | always | Disk path used for the cache Sample: /dev/nvme1n1
|  | disk_size_in_bytes integer | always | Disk size in bytes Sample: 107374182400
|  | disk_status string | always | Disk status Sample: present
| tapes complex | when gateway_type == "VTL" | Storage Gateway tapes
|  | tape_arn string | always | Tape ARN Sample: arn:aws:storagegateway:eu-west-1:399805793479:tape/tape-AF999C88
|  | tape_barcode string | always | Tape ARN Sample: tape-AF999C88
|  | tape_size_in_bytes integer | always | Tape ARN Sample: 555887569
|  | tape_status string | always | Tape ARN Sample: AVAILABLE

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Loic Blot (@nerzhul) <loic.blot@unix-experience.fr>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.